package graphs;

public final class Edge {
	private final int id;
	private final Vertex source;
	private final Vertex destination;
	private final int weight;

	public Edge(final int id, final Vertex source, final Vertex destination, final int weight) {
		this.id = id;
		this.source = source;
		this.destination = destination;
		this.weight = weight;
	}

	public final int getId() {
		return id;
	}

	public final Vertex getDestination() {
		return destination;
	}

	public final Vertex getSource() {
		return source;
	}

	public final int getWeight() {
		return weight;
	}

	@Override
	public String toString() {
		return source + " " + destination;
	}

}